SeExpr

Classes | Namespaces
ExprEnv.h File Reference
`#include <vector>`
`#include <map>`
`#include <cassert>`
`#include <memory>`
`#include "ExprType.h"`
`#include "ExprLLVM.h"`
`#include <iostream>`

Go to the source code of this file.

## Classes
class | SeExpr2::ExprLocalVar
| ExprLocalVar reference, all local variables in seexpr are subclasses of this or this itself. More...
class | SeExpr2::ExprLocalVarPhi
| ExprLocalVar join (merge) references. Remembers which variables are possible assigners to this. More...
class | SeExpr2::ExprVarEnv
| Variable scope for tracking variable lookup. More...
class | SeExpr2::ExprVarEnvBuilder
| Variable scope builder is used by the type checking and code gen to track visiblity of variables and changing of. More...
struct | SeExpr2::ExprEvalResult
| Evaluation result. More...

## Namespaces
| SeExpr2